Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.instrumentation
Interface DataSourceInstrumentor

All Known Implementing Classes:
  DataSourceTracker, MetricsLogger

    public interface DataSourceInstrumentor

Interface representing the ability to track MDEX queries to datasources

Author:
  dan

Method Summary
`void` | `addCachedDataQuery(RequestTracker requestTracker, java.lang.String dataSourceString, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results, long ms)` Tracks a single query to an MDEX DataSource that was satisfied by application cache
`void` | `addDataQuery(RequestTracker requestTracker, java.lang.String dataSourceString, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results, long ms)` Tracks a single uncached query to an MDEX DataSource

Method Detail

### addDataQuery

    void addDataQuery(RequestTracker requestTracker,
                      java.lang.String dataSourceString,
                      com.endeca.navigation.ENEQuery query,
                      com.endeca.navigation.ENEQueryResults results,
                      long ms)

  Tracks a single uncached query to an MDEX DataSource

  Parameters:
    `dataSourceString` - the key/description of the DataSource
    `query` - The query object that executed
    `results` - The results of the query that executed
    `ms` - The execution time of the query

### addCachedDataQuery

    void addCachedDataQuery(RequestTracker requestTracker,
                            java.lang.String dataSourceString,
                            com.endeca.navigation.ENEQuery query,
                            com.endeca.navigation.ENEQueryResults results,
                            long ms)

  Tracks a single query to an MDEX DataSource that was satisfied by application cache

  Parameters:
    `dataSourceString` - the key/description of the DataSource
    `query` - The query object that executed
    `results` - The results of the query that executed
    `ms` - The execution time of the query

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD